<?php
if(!function_exists('sql_table')) {
	function sql_table($name) {return 'nucleus_'.$name;}
}
class NP_TopBlogs extends NucleusPlugin {
	function getName() {return "TopBlogs";}
	function getAuthor() {return "jun";}
	function getURL() {return "http://nucleus.mz-style.com/";}
	function getVersion() {return "0.12";}
	function getDescription() {return "This plugin can display the latest item sequentially on a date from each blogs.";}
	function supportsFeature($what) {
		switch($what) {
		case 'SqlTablePrefix':
			return 1;
		default:
			return 0;
		}
	}
	function doSkinVar($skinType, $template = '', $msort = '', $mblog = '', $mcat = '', $blogcat = '', $maxmin = '') {
		global $CONF, $blog;
		$maxmin = ($maxmin) ? 'MIN' : 'MAX';
		$bc = ($blogcat) ? 'icat' : 'iblog';
		if($mblog) $que = $this->ChoiceBC($mblog, 'iblog');
		if($mcat) $que .= $this->ChoiceBC($mcat, 'icat');
		switch($msort) {
		case 1 :
			$order = 'itime ASC';
			break;
		case 2 :
			$order = 'iblog DESC';
			break;
		case 3 :
			$order = 'iblog ASC';
			break;
		default :
			$order = 'itime DESC';
		}
		$temp = sql_query('SELECT '.$maxmin.'(CONCAT(itime,"/",inumber)) as max FROM '.sql_table('item').' WHERE idraft = 0 and itime <= "'.date('Y-m-d H:i:s').'"'.$que.' GROUP BY '.$bc);
		while($row = mysql_fetch_assoc($temp)) {
			$mbw = explode('/', $row['max']);
			$tempitemid .= $mbw[1].',';
		}
		$tempitemid = substr($tempitemid ,0, -1);
		if($blogcat && $blogcat != 1) $q2 = ' and LEFT(cdesc, 1) = "'.$blogcat.'"';
		$query = 'SELECT inumber as itemid, iblog as blog, ibody as body, mname as author, mrealname as authorname, UNIX_TIMESTAMP(itime) as timestamp, itime, imore as more, mnumber as authorid, cname as category, icat as catid, iclosed as closed, memail as authormail, murl as authorurl, ititle as title FROM '.sql_table('item').', '.sql_table('member').', '.sql_table('category').' WHERE iauthor = mnumber and icat = catid and inumber in ('.$tempitemid.')'.$q2.' ORDER BY '.$order;
		$blog->showUsingQuery($template, $query, 1, 1, 1);
	}
	function ChoiceBC($mbc = '', $bc = '') {
		$mc = explode('/', $mbc, 2);
		if($mc[0] == 'not') {
			$no = array('NOT(', ')');
			$mbc = $mc[1];
		}
		$que = ' and '.$no[0].$bc.' in ('.str_replace('/' ,',', $mbc).')'.$no[1];
		return $que;
	}
}